# Uses of Class
org.apache.qpid.proton.engine.TransportException

Packages that use TransportException
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of TransportException in org.apache.qpid.proton.engine

Subclasses of TransportException in org.apache.qpid.proton.engine
Modifier and Type
Class
Description
`class`
`TransportDecodeException`
Methods in org.apache.qpid.proton.engine that throw TransportException
Modifier and Type
Method
Description
`void`
Transport.`process()`

## Uses of TransportException in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type TransportException
Modifier and Type
Method
Description
`void`
FrameHandler.`closed(TransportException error)`
`void`
TransportImpl.`closed(TransportException error)`
Methods in org.apache.qpid.proton.engine.impl that throw TransportException
Modifier and Type
Method
Description
`static int`
ByteBufferUtils.`pourAll(ByteBuffer source, TransportInput destinationTransportInput)`
Pours the contents of `source` into `destinationTransportInput`, calling the TransportInput many times if necessary.
`void`
HandshakeSniffingTransportWrapper.`process()`
`void`
PlainTransportWrapper.`process()`
`void`
TransportImpl.`process()`
`void`
TransportInput.`process()`
`ByteBuffer`
TransportInput.`tail()`

## Uses of TransportException in org.apache.qpid.proton.engine.impl.ssl

Methods in org.apache.qpid.proton.engine.impl.ssl that throw TransportException
Modifier and Type
Method
Description
`void`
SimpleSslTransportWrapper.`process()`